@echo off
REM Schreibt Exif-Tags für ein als Parameter übergebenes oder vordefiniertes Verzeichnis in eine csv-Datei
REM Ohne -r nicht rekursiv, also ohne Unterverzeichnisse.
REM exifpath ev. anpassen und für vordefinierten Pfad "bilder" suchen und alle ersetzen

ECHO GenExif: %1 
ECHO.

set exifpath=C:\Users\User\Pictures\genEXIF\exif\

IF NOT EXIST %exifpath% GOTO NOPORT

IF [%1] EQU [] (
	ECHO UNDEFINED

	set batchpath=%0
	IF batchpath NEQ "genEXIF" (
		REM ECHO %batchpath% // %CD%
		cd /D %~dp0
		ECHO.
	)
	ECHO -Direkt "bilder"
	%exifpath%\exiftool.exe -csv -title -author -keywords -headline -By-line -description -L bilder >bilder\_EXIFData.csv
) ELSE (
	ECHO -Parameter
	%exifpath%\exiftool.exe -csv -title -author -keywords -headline -By-line -description -L  %1 >%1\_EXIFData.csv
)
ECHO.
goto ENDE

REM sollte nicht ausgeführt werden, dient mehr als Test, eher aber zum kopieren für manuelles ausführen
exiftool.exe -title -author -keywords -headline -By-line -description ..\bilder

:NOPORT
echo "Portable ExifTool fehlt"
goto :ENDE


:ENDE
pause




